<mat-card>
    <mat-card-header>
        <mat-card-title>Configuration</mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <form>
            <mat-form-field class="field universe">
                <input matInput placeholder="Universe" type="number" name="universe" [(ngModel)]="universe" required>
                <mat-hint *ngIf="greaterThan(universe, 63999) || smallerThan(universe, 1)">
                    Universe not within the allowed range <b>(1, 63999)</b>
                </mat-hint>

            </mat-form-field>
            <mat-form-field class="field startAddress">
                <input matInput placeholder="Start Address" [(ngModel)]="startAddress" type="number" name="startAddress"
                    required>
                <mat-hint *ngIf="greaterThan(startAddress, maxAllowedStartAddress) || smallerThan(startAddress, 1)">
                    Start address not within the allowed range <b>(1, {{maxAllowedStartAddress}})</b>
                </mat-hint>
            </mat-form-field>
        </form>
    </mat-card-content>
    <mat-dialog-actions align='end'>
        <app-button mat-dialog-close text="Cancel"></app-button>
        <div *ngIf="!(greaterThan(startAddress, maxAllowedStartAddress) || smallerThan(startAddress, 1)) &&
        !(greaterThan(universe, 63999) || smallerThan(universe, 1))">
            <app-button (btnClick)="save()" text="Save" mat-dialog-close> </app-button>
        </div>
    </mat-dialog-actions>
</mat-card>